package cn.superdesk.uniorder.dao.mapper.invoice.customer.invoiced;

import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoiced;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InvoiceInvoicedMapper {

	long countByExample(InvoiceInvoicedExample example);

	int deleteByExample(InvoiceInvoicedExample example);

	int deleteByPrimaryKey(Long id);

	int insert(InvoiceInvoiced record);

	int insertSelective(InvoiceInvoiced record);

	List<InvoiceInvoiced> selectByExample(InvoiceInvoicedExample example);

	InvoiceInvoiced selectByPrimaryKey(Long id);

	int updateByExampleSelective(@Param("record") InvoiceInvoiced record, @Param("example") InvoiceInvoicedExample example);

	int updateByExample(@Param("record") InvoiceInvoiced record, @Param("example") InvoiceInvoicedExample example);

	int updateByPrimaryKeySelective(InvoiceInvoiced record);

	int updateByPrimaryKey(InvoiceInvoiced record);
}
